Skip to main content
GET
/
lucca-api
/
business-establishments
List business-establishments
curl --request GET \
  --url https://{host}/lucca-api/business-establishments \
  --header 'Api-Version: <api-version>' \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{host}/lucca-api/business-establishments"

headers = {
"Api-Version": "<api-version>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Api-Version': '<api-version>', Authorization: 'Bearer <token>'}
};

fetch('https://{host}/lucca-api/business-establishments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "business-establishments",
  "url": "https://example.ilucca.net/lucca-api/business-establishments?limit=25",
  "totalCount": 28,
  "items": [
    {
      "id": "5",
      "type": "business-establishment",
      "url": "https://example.ilucca.net/lucca-api/business-establishments/5",
      "name": "Lucca Marseille",
      "remoteId": "00004",
      "legalEntity": {
        "id": "123",
        "type": "legal-entity",
        "url": "https://example.ilucca.net/lucca-api/legal-entities/123"
      },
      "taxIdentificationNumber": {
        "format": "franceSIRET",
        "value": "0000000000000"
      },
      "address": {
        "addressLines": [
          "Lucca",
          "10 Place de la Joliette",
          "Les Docks Atrium 10.2"
        ],
        "postalCode": "13002",
        "locality": "Marseille",
        "administrativeArea": "Bouches-du-Rhône",
        "countryCode": "FRA"
      },
      "timezoneId": "Europe/Paris",
      "isArchived": false,
      "lastArchivedAt": null,
      "createdAt": "2024-05-23T13:45:26.0001Z",
      "lastUpdatedAt": "2024-05-23T13:45:26.0001Z",
      "links": {}
    }
  ],
  "links": {
    "prev": null,
    "next": {
      "href": "https://example.ilucca.net/lucca-api/business-establishments?page=!sdk87Sdh&limit=25"
    }
  },
  "embedded": {
    "legal-entity": {
      "123": {
        "id": "123",
        "type": "legal-entity",
        "url": "https://example.ilucca.net/lucca-api/legal-entities/123",
        "legalName": "Lucca S.A.S.",
        "remoteId": "LE:83.2938",
        "countryCode": "FRA",
        "currencyCode": "EUR",
        "taxIdentificationNumber": {
          "format": "franceSIREN",
          "value": "44163769100128"
        },
        "industryCode": {
          "format": "franceAPE",
          "value": "7022Z"
        },
        "createdAt": "2024-01-01T08:34:23.0001Z",
        "lastUpdatedAt": "2024-01-01T08:34:23.0001Z",
        "lastArchivedAt": null,
        "links": {
          "businessEstablishments": {
            "href": "https://example.ilucca.net/lucca-api/business-establishments?legalEntity.id=123"
          }
        }
      }
    }
  }
}
{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "https://example.ilucca.net/lucca-api/leaves/1573",
"errors": {
"endsOn": [
"Invalid period: StartsOn should be before EndsOn."
],
"employeeId": [
"The employeeId query parameter is required."
]
},
"extensions": {
"traceId": "|78777424-49cc27e04281bbfc."
}
}
{
"type": "https://datatracker.ietf.org/doc/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"instance": "https://example.ilucca.net/lucca-api/employees/1573"
}
{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
"title": "Internal Server Error",
"status": 500,
"instance": "https://example.ilucca.net/lucca-api/employees/1573"
}
OAuth 2.0 scopes
 business-establishments.readonly
or
 business-establishments.readwrite

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Query Parameters

Only return business-establishments belonging to one of the given legal-entity id.

Minimum string length: 1
Example:
["1", "3"]

Filter business-establishments by their name and/or remoteId. The search is case insensitive and looks for partial matches.

Minimum string length: 1
isArchived
boolean

When omitted: return both archived and non-archived resources. When true: only return archived resources. When false: only return non-archived resources.

page
string

Cursor of the page to retrieve. Read more about pagination.

limit
integer
default:25

Number of items per page. Defaults to 25. Maximum is 100. Read more about pagination.

Required range: 0 <= x <= 100
include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

A collection of business-establishment resources.

type
string
Allowed value: "business-establishments"
url
string<uri>
totalCount
integer<int64> | null

Total number of business-establishment resources across all pages that satisfy query parameters.

Required range: x >= 0
items
business-establishment · object[]
Maximum array length: 100

Links to related resources

embedded
object | null

Embeds the representation of resources related to the business-establishment(s).

Only returned if requested by the API client: ?include=embedded.